using System;
using System.Collections.Generic;
using System.Text;

namespace Application_Monitor
{
    class SpO2Data
    {

        #region Member Variable(s) Declaration
        
        string m_HR = "XXX";
        string m_SpO2 = "128";
        short m_SpO2Sample = 0;
        short m_SpO2RedSample = 0;
        bool m_IsDraw = true;
        #endregion 

        #region Property(s) Declaration
        /// <summary>
        /// Gets or sets the SpO2 Value
        /// </summary>
        public string SpO2
        {
            get
            {
                return m_SpO2;
            }
            set
            {
                m_SpO2 = value;
            }
        }
        /// <summary>
        /// Gets or sets the SpO2 Value
        /// </summary>
        public short SpO2Sample
        {
            get
            {
                return m_SpO2Sample;
            }
            set
            {
                m_SpO2Sample = value;
            }
        }

        /// <summary>
        /// Gets or sets the SpO2 Value
        /// </summary>
        public short SpO2RedSample
        {
            get
            {
                return m_SpO2RedSample;
            }
            set
            {
                m_SpO2RedSample = value;
            }
        }
        /// <summary>
        /// Gets or sets the Heart rate
        /// </summary>
        public string HeartRate
        {
            get
            {
                return m_HR;
            }
            set
            {
                m_HR = value;
            }
        }

       
        public bool IsDraw
        {
            get
            {
                return m_IsDraw;
            }
            set
            {
                m_IsDraw = value;
            }
        }
        #endregion 
        public SpO2Data()
        {

            m_IsDraw = false;
            m_HR = "XXX";
            m_SpO2="128";
            
        }

    }
}
